Debian Bug report logs - #643474
clearsilver: FTBFS: dpkg-buildpackage: error: dpkg-source --after-build clearsilver-0.10.5 gave error exit status 1

version graph

Package: src:clearsilver; Maintainer for src:clearsilver is Jesus Climent <jesus.climent@hispalinux.es>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Tue, 27 Sep 2011 13:12:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version clearsilver/0.10.5-1.1

Fixed in version clearsilver/0.10.5-1.2

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#643474; Package src:clearsilver. (Tue, 27 Sep 2011 13:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. (Tue, 27 Sep 2011 13:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: submit@bugs.debian.org
Subject: clearsilver: FTBFS: dpkg-buildpackage: error: dpkg-source --after-build clearsilver-0.10.5 gave error exit status 1
Date: Tue, 27 Sep 2011 15:00:56 +0200
Source: clearsilver
Version: 0.10.5-1.1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110923 qa-ftbfs dpkg-source-exit-1
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/build/clearsilver-Kec8Ix/clearsilver-0.10.5/perl'
> Files found in blib/arch: installing files in blib/lib into architecture dependent library tree
> Installing /build/clearsilver-Kec8Ix/clearsilver-0.10.5/debian/tmp/usr/lib/perl5/auto/ClearSilver/ClearSilver.bs
> Installing /build/clearsilver-Kec8Ix/clearsilver-0.10.5/debian/tmp/usr/lib/perl5/auto/ClearSilver/ClearSilver.so
> Installing /build/clearsilver-Kec8Ix/clearsilver-0.10.5/debian/tmp/usr/lib/perl5/ClearSilver.pm
> Installing /build/clearsilver-Kec8Ix/clearsilver-0.10.5/debian/tmp/usr/share/man/man3/ClearSilver.3pm
> make[2]: Leaving directory `/build/clearsilver-Kec8Ix/clearsilver-0.10.5/perl'
> make[1]: Leaving directory `/build/clearsilver-Kec8Ix/clearsilver-0.10.5'
> touch debian/stamp-makefile-install
> Adding cdbs dependencies to debian/clearsilver-dev.substvars
> dh_installdirs -pclearsilver-dev 
> Adding cdbs dependencies to debian/python-clearsilver.substvars
> dh_installdirs -ppython-clearsilver 
> Adding cdbs dependencies to debian/libclearsilver-perl.substvars
> dh_installdirs -plibclearsilver-perl 
> dh_installdocs -pclearsilver-dev ./README 
> dh_installexamples -pclearsilver-dev 
> dh_installman -pclearsilver-dev  
> dh_installinfo -pclearsilver-dev  
> dh_installmenu -pclearsilver-dev 
> dh_installcron -pclearsilver-dev 
> dh_installinit -pclearsilver-dev  
> dh_installdebconf -pclearsilver-dev 
> dh_installemacsen -pclearsilver-dev   
> dh_installcatalogs -pclearsilver-dev 
> dh_installpam -pclearsilver-dev 
> dh_installlogrotate -pclearsilver-dev 
> dh_installlogcheck -pclearsilver-dev 
> dh_installchangelogs -pclearsilver-dev  
> dh_installudev -pclearsilver-dev 
> dh_lintian -pclearsilver-dev 
> dh_bugfiles -pclearsilver-dev 
> dh_install -pclearsilver-dev  
> dh_link -pclearsilver-dev  
> dh_installmime -pclearsilver-dev 
> dh_installgsettings -pclearsilver-dev 
> dh_pysupport -pclearsilver-dev  
> dh_pysupport: This program is deprecated, you should use dh_python2 instead. Migration guide: http://deb.li/dhs2p
> dh_installdocs -ppython-clearsilver ./README 
> dh_installexamples -ppython-clearsilver 
> dh_installman -ppython-clearsilver  
> dh_installinfo -ppython-clearsilver  
> dh_installmenu -ppython-clearsilver 
> dh_installcron -ppython-clearsilver 
> dh_installinit -ppython-clearsilver  
> dh_installdebconf -ppython-clearsilver 
> dh_installemacsen -ppython-clearsilver   
> dh_installcatalogs -ppython-clearsilver 
> dh_installpam -ppython-clearsilver 
> dh_installlogrotate -ppython-clearsilver 
> dh_installlogcheck -ppython-clearsilver 
> dh_installchangelogs -ppython-clearsilver  
> dh_installudev -ppython-clearsilver 
> dh_lintian -ppython-clearsilver 
> dh_bugfiles -ppython-clearsilver 
> dh_install -ppython-clearsilver  
> dh_link -ppython-clearsilver  
> dh_installmime -ppython-clearsilver 
> dh_installgsettings -ppython-clearsilver 
> dh_pysupport -ppython-clearsilver  
> dh_pysupport: This program is deprecated, you should use dh_python2 instead. Migration guide: http://deb.li/dhs2p
> dh_installdocs -plibclearsilver-perl ./README 
> dh_installexamples -plibclearsilver-perl 
> dh_installman -plibclearsilver-perl  
> dh_installinfo -plibclearsilver-perl  
> dh_installmenu -plibclearsilver-perl 
> dh_installcron -plibclearsilver-perl 
> dh_installinit -plibclearsilver-perl  
> dh_installdebconf -plibclearsilver-perl 
> dh_installemacsen -plibclearsilver-perl   
> dh_installcatalogs -plibclearsilver-perl 
> dh_installpam -plibclearsilver-perl 
> dh_installlogrotate -plibclearsilver-perl 
> dh_installlogcheck -plibclearsilver-perl 
> dh_installchangelogs -plibclearsilver-perl  
> dh_installudev -plibclearsilver-perl 
> dh_lintian -plibclearsilver-perl 
> dh_bugfiles -plibclearsilver-perl 
> dh_install -plibclearsilver-perl  
> dh_link -plibclearsilver-perl  
> dh_installmime -plibclearsilver-perl 
> dh_installgsettings -plibclearsilver-perl 
> dh_pysupport -plibclearsilver-perl  
> dh_pysupport: This program is deprecated, you should use dh_python2 instead. Migration guide: http://deb.li/dhs2p
> dh_strip -pclearsilver-dev  
> dh_compress -pclearsilver-dev  
> dh_fixperms -pclearsilver-dev  
> dh_makeshlibs -pclearsilver-dev  
> dh_strip -ppython-clearsilver  
> dh_compress -ppython-clearsilver  
> dh_fixperms -ppython-clearsilver  
> dh_makeshlibs -ppython-clearsilver  
> dh_strip -plibclearsilver-perl  
> dh_compress -plibclearsilver-perl  
> dh_fixperms -plibclearsilver-perl  
> dh_makeshlibs -plibclearsilver-perl  
> dh_installdeb -pclearsilver-dev 
> dh_perl -pclearsilver-dev 
> dh_shlibdeps -pclearsilver-dev    
> dpkg-shlibdeps: warning: dependency on libz.so.1 could be avoided if "debian/clearsilver-dev/usr/bin/cstest" were not uselessly linked against it (they use none of its symbols).
> dh_installdeb -ppython-clearsilver 
> dh_perl -ppython-clearsilver 
> dh_shlibdeps -ppython-clearsilver  -l debian/python-clearsilver/usr/lib/python-2.6/site-packages:debian/python-clearsilver/usr/lib/python-2.7/site-packages:  
> dh_installdeb -plibclearsilver-perl 
> dh_perl -plibclearsilver-perl 
> dh_shlibdeps -plibclearsilver-perl  -l debian/libclearsilver-perl/usr/lib/perl5:  
> dh_gencontrol -pclearsilver-dev  
> dpkg-gencontrol: warning: package clearsilver-dev: unused substitution variable ${shlibs:Depends}
> dh_md5sums -pclearsilver-dev 
> dh_builddeb -pclearsilver-dev 
> dpkg-deb: building package `clearsilver-dev' in `../clearsilver-dev_0.10.5-1.1_amd64.deb'.
> dh_gencontrol -ppython-clearsilver  
> dpkg-gencontrol: warning: package python-clearsilver: unused substitution variable ${python:Provides}
> dh_md5sums -ppython-clearsilver 
> dh_builddeb -ppython-clearsilver 
> dpkg-deb: warning: 'debian/python-clearsilver/DEBIAN/control' contains user-defined field 'Python-Version'
> dpkg-deb: warning: ignoring 1 warning about the control file(s)
> 
> dpkg-deb: building package `python-clearsilver' in `../python-clearsilver_0.10.5-1.1_amd64.deb'.
> dh_gencontrol -plibclearsilver-perl  
> dh_md5sums -plibclearsilver-perl 
> dh_builddeb -plibclearsilver-perl 
> dpkg-deb: building package `libclearsilver-perl' in `../libclearsilver-perl_0.10.5-1.1_amd64.deb'.
>  dpkg-genchanges -sa -mLucas Nussbaum <lucas@lucas-nussbaum.net> >../clearsilver_0.10.5-1.1_amd64.changes
> dpkg-genchanges: including full source code in upload
>  dpkg-source --after-build clearsilver-0.10.5
> dpkg-source: info: unapplying debian-changes-0.10.5-1
> dpkg-source: error: LC_ALL=C patch -R -t -N -p1 -u -V never -g0 -E --no-backup-if-mismatch < clearsilver-0.10.5/debian/patches/debian-changes-0.10.5-1 gave error exit status 1
> patching file config.sub
> Hunk #1 FAILED at 1.
> Hunk #2 FAILED at 22.
> Hunk #3 FAILED at 72.
> Hunk #4 succeeded at 89 (offset 4 lines).
> Hunk #5 succeeded at 105 (offset 4 lines).
> Hunk #6 FAILED at 120.
> Hunk #7 FAILED at 149.
> Hunk #8 succeeded at 182 (offset 5 lines).
> Hunk #9 succeeded at 198 (offset 5 lines).
> Hunk #10 FAILED at 235.
> Hunk #11 succeeded at 314 with fuzz 2 (offset 18 lines).
> Hunk #12 FAILED at 312.
> Hunk #13 FAILED at 393.
> Hunk #14 succeeded at 444 (offset 34 lines).
> Hunk #15 succeeded at 467 (offset 34 lines).
> Hunk #16 FAILED at 441.
> Hunk #17 FAILED at 481.
> Hunk #18 succeeded at 571 (offset 43 lines).
> Hunk #19 succeeded at 721 (offset 43 lines).
> Hunk #20 succeeded at 739 (offset 46 lines).
> Hunk #21 succeeded at 746 (offset 46 lines).
> Hunk #22 succeeded at 853 (offset 52 lines).
> Hunk #23 FAILED at 817.
> Hunk #24 succeeded at 949 (offset 53 lines).
> Hunk #25 succeeded at 959 (offset 53 lines).
> Hunk #26 succeeded at 970 (offset 53 lines).
> Hunk #27 FAILED at 984.
> Hunk #28 succeeded at 1094 (offset 49 lines).
> Hunk #29 FAILED at 1067.
> Hunk #30 succeeded at 1154 (offset 52 lines).
> Hunk #31 succeeded at 1180 (offset 52 lines).
> Hunk #32 succeeded at 1201 (offset 52 lines).
> Hunk #33 FAILED at 1202.
> Hunk #34 succeeded at 1293 (offset 56 lines).
> Hunk #35 FAILED at 1259.
> Hunk #36 succeeded at 1336 (offset 56 lines).
> Hunk #37 FAILED at 1299.
> Hunk #38 succeeded at 1385 with fuzz 2 (offset 56 lines).
> Hunk #39 FAILED at 1354.
> Hunk #40 FAILED at 1369.
> Hunk #41 FAILED at 1397.
> Hunk #42 FAILED at 1418.
> Hunk #43 succeeded at 1545 (offset 67 lines).
> Hunk #44 succeeded at 1596 (offset 67 lines).
> Hunk #45 succeeded at 1626 (offset 67 lines).
> Hunk #46 succeeded at 1653 (offset 67 lines).
> 20 out of 46 hunks FAILED -- saving rejects to file config.sub.rej
> patching file config.guess
> Hunk #1 FAILED at 1.
> Hunk #2 FAILED at 18.
> Hunk #3 FAILED at 56.
> Hunk #4 succeeded at 70 (offset 1 line).
> Hunk #5 succeeded at 92 (offset 1 line).
> Hunk #6 succeeded at 132 (offset 1 line).
> Hunk #7 FAILED at 170.
> Hunk #8 FAILED at 299.
> Hunk #9 succeeded at 356 (offset 7 lines).
> Hunk #10 succeeded at 371 (offset 7 lines).
> Hunk #11 FAILED at 384.
> Hunk #12 succeeded at 448 with fuzz 2 (offset 7 lines).
> Hunk #13 FAILED at 477.
> Hunk #14 succeeded at 514 (offset 7 lines).
> Hunk #15 FAILED at 522.
> Hunk #16 FAILED at 547.
> Hunk #17 FAILED at 585.
> Hunk #18 succeeded at 631 with fuzz 2 (offset 7 lines).
> Hunk #19 FAILED at 662.
> Hunk #20 FAILED at 893.
> Hunk #21 FAILED at 907.
> Hunk #22 FAILED at 947.
> Hunk #23 succeeded at 968 with fuzz 2 (offset -29 lines).
> Hunk #24 FAILED at 1005.
> Hunk #25 FAILED at 1119.
> Hunk #26 FAILED at 1233.
> Hunk #27 succeeded at 1292 (offset -16 lines).
> Hunk #28 succeeded at 1381 (offset -16 lines).
> Hunk #29 succeeded at 1395 (offset -16 lines).
> Hunk #30 succeeded at 1421 (offset -16 lines).
> 17 out of 30 hunks FAILED -- saving rejects to file config.guess.rej
> dpkg-buildpackage: error: dpkg-source --after-build clearsilver-0.10.5 gave error exit status 1
> ────────────────────────────────────────────────────────────────────────────────
> Build finished at 20110924-0027

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/09/23/clearsilver_0.10.5-1.1_lsid64.buildlog

This is probably due to special hand-fiddling with debian/patches/* 
quilt series. With dpkg >= 1.16.0, "When dpkg-source automatically applies
patches at the start of the build process, it will also automatically unapply
them at the end of a successful build." [0]

[0] http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#643474; Package src:clearsilver. (Tue, 15 Nov 2011 15:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. (Tue, 15 Nov 2011 15:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 643474@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643474@bugs.debian.org
Subject: clearsilver: diff for NMU version 0.10.5-1.2
Date: Tue, 15 Nov 2011 16:42:13 +0100
[Message part 1 (text/plain, inline)]
tags 643474 + patch
thanks

Dear maintainer,

I've prepared an NMU for clearsilver (versioned as 0.10.5-1.2) and uploaded it
to DELAYED/0 (under DevRef §5.11.1).

The diff is attached to this message.

Regards, 

OdyX

P.S. I hope I didn't mess with the perl transition.
[clearsilver-0.10.5-1.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Tue, 15 Nov 2011 15:45:10 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Tue, 15 Nov 2011 16:06:12 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Tue, 15 Nov 2011 16:06:12 GMT) Full text and rfc822 format available.

Message #17 received at 643474-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643474-close@bugs.debian.org
Subject: Bug#643474: fixed in clearsilver 0.10.5-1.2
Date: Tue, 15 Nov 2011 16:03:49 +0000
Source: clearsilver
Source-Version: 0.10.5-1.2

We believe that the bug you reported is fixed in the latest version of
clearsilver, which is due to be installed in the Debian FTP archive:

clearsilver-dev_0.10.5-1.2_amd64.deb
  to main/c/clearsilver/clearsilver-dev_0.10.5-1.2_amd64.deb
clearsilver_0.10.5-1.2.debian.tar.gz
  to main/c/clearsilver/clearsilver_0.10.5-1.2.debian.tar.gz
clearsilver_0.10.5-1.2.dsc
  to main/c/clearsilver/clearsilver_0.10.5-1.2.dsc
libclearsilver-perl_0.10.5-1.2_amd64.deb
  to main/c/clearsilver/libclearsilver-perl_0.10.5-1.2_amd64.deb
python-clearsilver_0.10.5-1.2_amd64.deb
  to main/c/clearsilver/python-clearsilver_0.10.5-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643474@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated clearsilver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 15 Nov 2011 16:24:49 +0100
Source: clearsilver
Binary: clearsilver-dev python-clearsilver libclearsilver-perl
Architecture: source amd64
Version: 0.10.5-1.2
Distribution: unstable
Urgency: low
Maintainer: Jesus Climent <jesus.climent@hispalinux.es>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 clearsilver-dev - headers and static library for clearsilver
 libclearsilver-perl - Perl bindings for clearsilver
 python-clearsilver - Python bindings for clearsilver
Closes: 643474
Changes: 
 clearsilver (0.10.5-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Drop wrong debian-changes-0.10.5-1 patch (Closes: #643474).
Checksums-Sha1: 
 a06d622a48a084d7524e8183fc6707e327cda390 1914 clearsilver_0.10.5-1.2.dsc
 3557e2666f68b3a0e14e242679fbaec68171da42 7521 clearsilver_0.10.5-1.2.debian.tar.gz
 413bed8b7be85a0af5dc80a1b8efa1c35184e36a 288500 clearsilver-dev_0.10.5-1.2_amd64.deb
 3b513650e282861fcc7978719932fbb326cf268c 199252 python-clearsilver_0.10.5-1.2_amd64.deb
 3a3d384df1f4b62a99fc4182733fe915ae7054e8 99642 libclearsilver-perl_0.10.5-1.2_amd64.deb
Checksums-Sha256: 
 0523e3bb07239a0f63cee8e83d03f3579a1c78412c04a652501b86dfa2666e20 1914 clearsilver_0.10.5-1.2.dsc
 cb514efdd075db04f9b3c54b5597344916d5c0a752f60b3c638983a0c8bfd640 7521 clearsilver_0.10.5-1.2.debian.tar.gz
 07dfbabf0763ba181cd1eee733364582ab8eb5df96b7f47863e6c3a14a381f7c 288500 clearsilver-dev_0.10.5-1.2_amd64.deb
 7b98f5168d072f05639e7b21c446542e46ae7c578727bde8980e5aa34c32af4e 199252 python-clearsilver_0.10.5-1.2_amd64.deb
 4d4d6275a71c55bad61e0209e6cca54aa80bab9798b46cac4cbfbce6701dc770 99642 libclearsilver-perl_0.10.5-1.2_amd64.deb
Files: 
 44b724862f450e36c4215a00b5b3e556 1914 devel optional clearsilver_0.10.5-1.2.dsc
 a7903ee411c87f86a6a41415945f09fd 7521 devel optional clearsilver_0.10.5-1.2.debian.tar.gz
 1e76145683222a22751263f6efb86ce4 288500 python optional clearsilver-dev_0.10.5-1.2_amd64.deb
 2e811934816d57feb3b4c1db910ee7f8 199252 python optional python-clearsilver_0.10.5-1.2_amd64.deb
 2fe24bcb0fbf7da4ed1dad707f7a125a 99642 perl optional libclearsilver-perl_0.10.5-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOwoejAAoJEIvPpx7KFjRVDioL/0KYRv0HPB/gZS4Bqv6+NX7w
ky3o3DXNPqm5nwwW6WIXFFbqn0qIEpDrAPrMPibQEvs1b8ICzBgo966oMhGQz22h
4i0bcjXP9zka1AIyh3jnndXnZZnoZNmseX/zNllyglSTyIyHVxXoMcuc10Kaqezj
gCnhhNMHG4t9OIMkWqwljPsMXQZiOONZuebglREp7iX5sd+uqJ9/nDeD80Vq6iIc
FfrPFui6CRPCAYhykm5yXm7lwXDEG93OPxjOfAg0Pbd6m6LotgywKiZGvRHA5SdW
KkbTDptXOz8ULFAlsAjuLsUHONMOPR0kCEJMb0HS0TUH2PYwVxTXovP1LdsXl2cB
pO4vOWU3uKrn2FWagEUh6l+9TYklSf0+uAgzf5HhbPGwMH2moNYVMTd1xbywY/Gx
bIe43lQCbt94JM7BFCBgyKHdPQbpddhtuAmgQ4o4DRg3aMlWz5hLm3nonWCFcJRn
vVdsi9lDk5oOuw7j0LkOptpWDufxyoJPCVM7EViJ/w==
=373V
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Dec 2011 07:37:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:50:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.